Overview
PUT/monitoring/endpoints/{id}monitoring

Update endpoints

Replace a record in endpoints by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • siteIdoptionalstring
  • kindoptionalstring
  • urloptionalstring
  • expectedStatusoptionalinteger
  • expectedBodyContainsoptionalstring?
  • timeoutMsoptionalinteger
  • degradedThresholdMsoptionalinteger
  • checkIntervalSecondsoptionalinteger
  • isActiveoptionalboolean
Example
{
  "siteId": "string",
  "kind": "string",
  "url": "string",
  "expectedStatus": 0,
  "expectedBodyContains": "string",
  "timeoutMs": 0,
  "degradedThresholdMs": 0,
  "checkIntervalSeconds": 0,
  "isActive": true
}
Responses
200

endpoints

  • idstring
  • siteIdstring
  • userIdstring
  • ownerKindstring
  • ownerIdstring
  • kindstring
  • urlstring
  • expectedStatusinteger
  • expectedBodyContainsstring?
  • timeoutMsinteger
  • degradedThresholdMsinteger
  • checkIntervalSecondsinteger
  • isActiveboolean
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "siteId": "string",
  "userId": "string",
  "ownerKind": "string",
  "ownerId": "string",
  "kind": "string",
  "url": "string",
  "expectedStatus": 0,
  "expectedBodyContains": "string",
  "timeoutMs": 0,
  "degradedThresholdMs": 0,
  "checkIntervalSeconds": 0,
  "isActive": true,
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/monitoring/endpoints/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "siteId": "string",
  "kind": "string",
  "url": "string",
  "expectedStatus": 0,
  "expectedBodyContains": "string",
  "timeoutMs": 0,
  "degradedThresholdMs": 0,
  "checkIntervalSeconds": 0,
  "isActive": true
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/endpoints/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"siteId\": \"string\",\n  \"kind\": \"string\",\n  \"url\": \"string\",\n  \"expectedStatus\": 0,\n  \"expectedBodyContains\": \"string\",\n  \"timeoutMs\": 0,\n  \"degradedThresholdMs\": 0,\n  \"checkIntervalSeconds\": 0,\n  \"isActive\": true\n}",
});
const data = await res.json();